about summary refs log tree commit diff stats
path: root/sys/nixpkgs/pkgs/update_pkgs
diff options
context:
space:
mode:
authorSoispha <soispha@vhack.eu>2024-01-23 14:55:55 +0100
committerSoispha <soispha@vhack.eu>2024-01-23 14:55:55 +0100
commitd7d898d824ece694e71198a45a096f0175058ab1 (patch)
tree3e46f2865dcfc644f1c02955da3f491bfdda1e06 /sys/nixpkgs/pkgs/update_pkgs
parentfix(hm/conf/less): Ensure that less can read the lesskey file (diff)
downloadnixos-config-d7d898d824ece694e71198a45a096f0175058ab1.zip
feat(sys/nixpkgs/pkgs): Add update scripts
Diffstat (limited to 'sys/nixpkgs/pkgs/update_pkgs')
-rwxr-xr-xsys/nixpkgs/pkgs/update_pkgs28
1 files changed, 28 insertions, 0 deletions
diff --git a/sys/nixpkgs/pkgs/update_pkgs b/sys/nixpkgs/pkgs/update_pkgs
new file mode 100755
index 00000000..df26784b
--- /dev/null
+++ b/sys/nixpkgs/pkgs/update_pkgs
@@ -0,0 +1,28 @@
+#!/usr/bin/env sh
+
+die() {
+    printf "\033[31;1mError: \033[0m%s" "$1";
+    exit 1
+}
+
+cd "$(dirname "$0")" || die "Bug: run with false dirname ('$0')!"
+
+
+fd . --type directory --max-depth 1 | while read -r dir; do
+    cd "$dir" || die "Dir '$dir' does not exist"
+
+    if [ -f update.sh ]; then
+        printf "\033[34;1m> \033[0m%s" "\033[32;1mRunning '${dir}update.sh'\033[0m";
+
+        nix flake update
+
+        direnv allow
+        eval "$(direnv export bash)"
+
+        ./update.sh
+    fi
+    cd - > /dev/null || die "Bug: Last dir does not exist"
+done
+
+
+# vim: ft=sh